{{#if (has-block)}}
    {{yield this.stars}}
{{else}}
    {{#each this.stars as |star|}}
        <button
            type="button"
            data-test-rr="star-rating-button"
            {{on "click" (fn @onUpdate star.rating)}}>
            <FaIcon
                @icon="star"
                @prefix={{if star.full "fas" "far"}}
                data-test-rr={{if star.full "full-star" "empty-star"}}
            />
        </button>
    {{/each}}
{{/if}}